Bug 463782 - vino-server only listens to local v6 address
vino-server only listens to local v6 address
Status: CLOSED DUPLICATE of bug 444849
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 13:53 EDT by Andrew Cagney
Modified: 2014-06-18 05:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 485726 (view as bug list)
Environment:
Last Closed: 2009-06-18 23:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2008-09-24 13:53:00 EDT
Description of problem:

Trying to set up vnc to only listen to local addresses using the "Only allow local connections" tick box; it seems to turn off v4 vis:

$ netstat -tulpn | grep 5900
tcp        0      0 ::1:5900                    :::*                        LISTEN      8419/vino-server    
$ telnet localhost6 5900
Trying ::1...
Connected to localhost6.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
$ telnet localhost 5900
Trying 127.0.0.1...
telnet: connect to address 127.0.0.1: Connection refused
$ 

i.e., the v6 address is connectable but not the v4 address.  With the local-only box unchecked, both are accessable (but for everyone :-():

$ netstat -tulpn | grep 5900
tcp        0      0 :::5900                     :::*                        LISTEN      8419/vino-server    
$ telnet localhost 5900
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
[cagney@tortura ~]$ telnet localhost6 5900
Trying ::1...
Connected to localhost6.
Escape character is '^]'.
RFB 003.007
^]c
telnet> c
Connection closed.
$ 

(I half wonder is the problem is comming from either the kernel or packet filtering)
Comment 2 Bas Mevissen 2008-12-29 09:38:07 EST
Work-around is to allow vino-server to not to restrict to "only allow local connections" and configure the firewall to restrict the access. The latter is the default when the firewall is enabled.
Comment 3 Bug Zapper 2009-06-09 22:47:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Charles R. Anderson 2009-06-18 23:53:40 EDT
verified fix

*** This bug has been marked as a duplicate of bug 444849 ***

Note You need to log in before you can comment on or make changes to this bug.